/*
 * ExNihilo 3D Engine
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Please read AUTHORS file !!!
 * 
 *
 */

#include "ExCWindowControl.h"
//--------------------------------
// Constructor // Destructor
//--------------------------------
ExCWindowControl::ExCWindowControl(void)
{
Guard(ExCWindowControl::ExCWindowControl(void))
	SetName("ExCWindowControl");
	SetType(typeid(this).name());
	m_TitleBarSize=20;
UnGuard
}

ExCWindowControl::~ExCWindowControl(void)
{
}
//--------------------------------
// Methode
//--------------------------------
void ExCWindowControl::Draw(void)
{
Guard(void ExCWindowControl::Draw(void))
	//std::cout<<"Draw windows"<<std::endl;
UnGuard
}

ExCAction ExCWindowControl::InputCommand(ExCCommand Command)
{
Guard(ExCAction ExCWindowControl::InputCommand(ExCCommand Command))
	return NOTHING;
UnGuard
}

ExCAction ExCWindowControl::InputAction(ExCAction Action)
{
Guard(ExCAction ExCWindowControl::InputAction(ExCAction Action))
	return NOTHING;
UnGuard
}
void ExCWindowControl::AddActionCommand(ExCAction Action,ExCCommand Command)
{
Guard(ExCAction ExCWindowControl::AddActionCommand(ExCAction Action,ExCCommand Command))
	m_VecCommandAction.push_back(CommandAction(Command,Action));
UnGuard
}